# Browse parties

Browse parties and optionally filtered by criteria. Results are paginated.

Endpoint: GET /parties
Version: 2025-01-01
Security: basicAuth

## Query parameters:

  - `page` (integer)
    Positive whole number indicating which page of the selected parties to return. Greater than 0.
    Example: 5

  - `size` (integer)
    Number of items listed per page.
    Example: 10

  - `entity` (array)
    Entity or entities to filter parties by.
    Example: ["Entity123"]

  - `active` (boolean)
    Returns parties that are active when set to true.
    Example: true

  - `type` (string)
    Type of parties to return.
    Enum: "person", "soleTrader", "company"

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version.
    Example: "2025-01-01"

## Response 200 fields (application/json):

  - `parties` (array, required) — one of:
    List of parties on the current page.
    - Company:
      - `type` (string, required)
        What the party represents:

person - an individual 

soleTrader - a single person enterprise 

company - a corporation or partnership with multiple owners
        Enum: "company", "person", "soleTrader"
      - `identityVerificationState` (string)
        Enum: "verified", "notVerified", "pending", "rejected", "notApplicable", "started", "startedAction", "pendingStepUpAction", "pendingManualReview", "stepUpReceived"
      - `identityVerificationMethod` (string)
        Enum: "merchantCompliant", "identityVerificationService"
      - `identityVerificationDate` (string)
        A valid date as YYYY-MM-DD
        Example: "2033-11-22"
      - `url` (string)
        The link returned from Identity Verification Status (IVS) used to retrieve additional details from the user.
      - `message` (string)
        The message associated with link returned from Identity Verification Status (IVS).
      - `partyReference` (string, required)
        Your reference for this party, must be unique within an entity.
        Example: "Hosaka27384910"
      - `partyType` (string, required)
        The type of this party.
beneficiary - the person or business that will receive funds
payer - a transmitter of funds to a third party
        Enum: "beneficiary", "payer"
      - `partyId` (string)
        A unique identifier for the party generated by us.
      - `email` (string)
        An email address for this party.
      - `merchant` (object, required)
        An object that contains information about the merchant.
      - `merchant.entity` (string, required)
        Used to route the request in Access Worldpay, created as part of on-boarding.
        Example: "default"
      - `phones` (array)
        A list of phone numbers associated with this party.
      - `phones.prefix` (string, required)
        The dialing prefix for the phone number.
        Example: "44"
      - `phones.number` (string, required)
        The phone number, without dashes.
        Example: "4281234"
      - `identityDocuments` (array)
        A list of identity documents for this party.
      - `identityDocuments.type` (string, required)
        The type of the identity document.
        Enum: "passport", "nationalId", "driverLicence", "workPermit", "employmentPass", "studentPass", "permanentResidentCard", "companyRegistrationNumber", "companyVATNumber", "citizenshipCard", "taxId", "nationalInsurance", "other", "legalIdentityCard", "taxRegistrationCode"
      - `identityDocuments.number` (string, required)
      - `identityDocuments.issuingInstitution` (string)
        The name of the institution that issued this document.
        Example: "State Department"
      - `identityDocuments.issuingCountry` (string, required)
        The country code of the issuing country specified in [ISO 3166-1 Alpha-2 code](/products/reference/supported-countries-currencies#iso-country-codes) format.
        Example: "JP"
      - `identityDocuments.validFrom` (string)
        The ISO 8601 date since when this document is valid from.
        Example: "2023-11-22"
      - `identityDocuments.validTo` (string)
        The ISO 8601 date until which this document is valid to.
        Example: "2023-11-22"
      - `balanceAccounts` (array)
        A list of balance accounts that have been set up for this party.
      - `balanceAccounts.currency` (string, required)
        The currency in [ISO 4217 currency format](/products/reference/supported-countries-currencies#iso-currency-codes).
        Example: "GBP"
      - `balanceAccounts.payoutInstrumentReference` (string)
        A reference of the payoutInstrument created by you. This
field holds the beneficiary bank details. Use this to direct payouts to
the relevant beneficiary. This must be unique within an entity.
        Example: "primaryBusinessAccount"
      - `balanceAccounts.scheduledPayoutDay` (string)
        The scheduled payout day for this balanceAccount. You must provide this for "weekly" and "monthly" frequency.
        Enum: "monday", "tuesday", "wednesday", "thursday", "friday"
      - `balanceAccounts.frequency` (string)
        Scheduled payout frequency for this balanceAccount:\
daily - payouts are processed every business day\
weekly - you must include scheduledPayoutDay\
monthly - you must include scheduledPayoutDay and recurrence
        Enum: "daily", "weekly", "monthly"
      - `balanceAccounts.recurrence` (string)
        The week of the month the payout is paid out. You must provide this for "monthly" frequency.
        Enum: "first", "second", "third", "fourth"
      - `balanceAccounts.nextPayoutDate` (string)
        The next scheduled payout date for this balance account.
        Example: "2025-02-14"
      - `balanceAccounts.balanceAccountId` (string)
        Unique ID created by us to identify a balance account. This is sent in the response after balanceAccount creation.
      - `balanceAccounts.accountNumber` (string)
        The number of your balanceAccount.
      - `balanceAccounts.dateTimeCreated` (string)
        The date and time that the balance account was created, as an ISO 8601 zoned date time.
        Example: "2025-01-23T12:23:445.222Z"
      - `balanceAccounts.dateTimeUpdated` (string)
        The date and time that the balance account was last updated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T02:43:499.202Z"
      - `balanceAccounts.version` (integer)
      - `dateTimeCreated` (string)
        The date and time that the party was created, as an ISO 8601 zoned date time.
        Example: "2025-01-23T12:23:445.222Z"
      - `dateTimeUpdated` (string)
        The date and time that the party was last updated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T14:57:012.302Z"
      - `version` (integer)
      - `payoutInstruments` (array)
      - `payoutInstruments.payoutInstrumentReference` (string)
        A reference of the payoutInstrument created by you. This
field holds the beneficiary bank details. Use this to direct payouts to
the relevant beneficiary. This must be unique within an entity.
        Example: "primaryBusinessAccount"
      - `payoutInstruments.payoutInstrumentId` (string)
        An ID generated by us to identify a payout instrument. You receive this in the response after successfully creating a payout instrument.
        Example: "parOk0YlPtQogrqQdz7_fKXs0"
      - `payoutInstruments.payoutInstrumentType` (string)
        The type of the payout instrument.
        Enum: "bankAccount", "wallet", "card"
      - `payoutInstruments.currency` (string, required)
        The currency in [ISO 4217 currency format](/products/reference/supported-countries-currencies#iso-currency-codes).
        Example: "GBP"
      - `payoutInstruments.dateTimeCreated` (string)
        The date and time the payoutInstrument was created, as an ISO 8601 zoned date time.
      - `payoutInstruments.dateTimeUpdated` (string)
        The date and time the payoutInstrument was updated, as an ISO 8601 zoned date time.
      - `payoutInstruments.version` (integer)
      - `payoutInstruments.accountHolderName` (string)
      - `payoutInstruments.swiftBic` (string)
      - `payoutInstruments.bankCode` (string)
        The bankCode must be exactly 6 digits.
        Example: "184758"
      - `payoutInstruments.accountNumber` (string)
      - `payoutInstruments.accountType` (string)
        Enum: "checking", "savings", "moneyMarket", "certificateOfDeposit", "vista", "other"
      - `payoutInstruments.iban` (string)
      - `payoutInstruments.bankName` (string)
      - `payoutInstruments.address` (object)
        Object containing details about the address.
      - `payoutInstruments.address.address1` (string, required)
        The address.

Must consist of at least two letters, two words, and one number.
        Example: "1847 Kingsbury Court"
      - `payoutInstruments.address.address2` (string)
        Line two of the address.
        Example: "Unit 42"
      - `payoutInstruments.address.city` (string, required)
        The city of this address.
        Example: "London"
      - `payoutInstruments.address.state` (string)
        The state of this address.
        Example: "Greater London"
      - `payoutInstruments.address.countryCode` (string, required)
        The country code specified in [ISO 3166-1 Alpha-2 code format](/products/reference/supported-countries-currencies#iso-country-codes).
        Example: "GB"
      - `payoutInstruments.address.postalCode` (string)
        The postal code of this address.
        Example: "NW9 0RR"
      - `payoutInstruments.address.type` (string)
        Identifies the type of this address.
        Enum: "home", "business", "poBox", "other"
      - `payoutInstruments.branchCode` (string)
      - `active` (boolean)
        Indicates whether the party is active or not.
        Example: true
      - `dateTimeDeactivated` (string)
        The date and time that the party was last deactivated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T14:57:012.302Z"
      - `deactivationReason` (string)
        The reason for deactivating a party.
        Example: "partyDormant"
      - `dispositionOfFunds` (string)
        The disposition of funds for deactivated party.
        Example: "payoutToParty"
      - `dateTimeActivated` (string)
        The date and time that the party was last activated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T14:57:012.302Z"
      - `companyDetails` (object, required)
        Object containing details about a company. Required for company.
      - `companyDetails.merchantCategoryCode` (string)
        A 4-digit code to represent the merchant category. Only provide this where typeCode is soleTrader or company.
        Example: "5411"
      - `companyDetails.merchantCategoryCodeDescription` (string)
        A description to describe the merchant category code. Only provide this where typeCode is soleTrader or company.
        Example: "Grocery Stores"
      - `companyDetails.website` (string)
        The URL of the merchant's website.
        Example: "https://example.com/"
      - `companyDetails.legalName` (string, required)
        The legal name of the company.
        Example: "Tessier-Ashpool Systems Ltd."
      - `companyDetails.tradingName` (string, required)
        The trading common name of the company.
        Example: "TASynth.com"
      - `companyDetails.registrationNumber` (string)
        The registration number for the company. What should be supplied in this field may differ by country, for instance in the United States it will be a Tax ID Number (TIN).
        Example: "7564389201"
      - `companyDetails.taxIdentifier` (string)
        The entity’s tax registration number (VAT, GST, EIN, TIN, or equivalent), depending on jurisdiction.
        Example: "JP-987654321"
      - `companyDetails.companyType` (string)
        A description of the type of company.
        Enum: "charity", "government", "publicLimitedCompany", "limitedCompanyShares", "limitedLiabilityPartnership", "partnership", "limitedCompanyGuarantee", "trust", "regulatedFinancialAndCreditInstitutions", "unlistedCorporate", "publicBodies", "subsidiaryOfPubliclyListedCorporate", "nonProfit", "estatesOfDeceasedPerson", "secRegistered", "clubsOrSocieties", "subsidiaryOfRegulatedFinancialAndCreditInstitutions", "other"
      - `companyDetails.dateOfIncorporation` (string)
        The incorporation date for the company.
        Example: "1977-07-04"
      - `companyDetails.isTradingAddressSameAsPrimary` (boolean, required)
        Indicates whether the trading address is the same as the primary address.
        Example: true
      - `companyDetails.legalAddress` (object, required)
        Object containing details about the address.
      - `companyDetails.tradingAddress` (object)
        Object containing details about the address.

Note: If isTradingAddressSameAsPrimary is set to true, do not provide tradingAddress. If isTradingAddressSameAsPrimary is false, you must provide tradingAddress.
      - `companyDetails.tradingAddress.address1` (string, required)
        The address.

Must consist of at least two letters, two words, and one number.
        Example: "1847 Kingsbury Court"
      - `companyDetails.tradingAddress.address2` (string)
        Line two of the address.
        Example: "Unit 42"
      - `companyDetails.tradingAddress.city` (string, required)
        The city of this address.
        Example: "London"
      - `companyDetails.tradingAddress.state` (string)
        The state of this address.
        Example: "Greater London"
      - `companyDetails.tradingAddress.countryCode` (string, required)
        The country code specified in [ISO 3166-1 Alpha-2 code format](/products/reference/supported-countries-currencies#iso-country-codes).
        Example: "GB"
      - `companyDetails.tradingAddress.postalCode` (string)
        The postal code of this address.
        Example: "NW9 0RR"
      - `companyDetails.tradingAddress.type` (string)
        Identifies the type of this address.
        Enum: same as `payoutInstruments.address.type` in "Company" (4 values)
      - `companyDetails.customerReference` (string)
        Unique reference provided by the payee. Only required for certain payout destinations.
        Example: "7564389201"
      - `companyDetails.countryOfIncorporation` (string)
        The country code specified in [ISO 3166-1 Alpha-2 code](/products/reference/supported-countries-currencies#iso-country-codes) format.
        Example: "GB"
      - `beneficialOwners` (array)
      - `beneficialOwners.identityVerificationState` (string)
        Enum: "verified", "notVerified", "pending", "rejected", "notApplicable", "started", "startedAction", "pendingStepUpAction", "pendingManualReview - stepUpReceived"
      - `beneficialOwners.identityVerificationMethod` (string)
        Enum: same as `identityVerificationMethod` in "Company" (2 values)
      - `beneficialOwners.identityVerificationDate` (string)
        A valid date as YYYY-MM-DD
        Example: "2033-11-22"
      - `beneficialOwners.url` (string)
        The link returned from Identity Verification Status (IVS) used to retrieve additional details from the user.
      - `beneficialOwners.message` (string)
        The message associated with link returned from Identity Verification Status (IVS).
      - `beneficialOwners.beneficialOwnerReference` (string, required)
        Your reference for this beneficial owner, must be unique within an entity.
        Example: "Hosaka27384910"
      - `beneficialOwners.beneficialOwnerId` (string)
        A unique identifier for the beneficial owner generated by us.
      - `beneficialOwners.personalDetails` (object, required)
      - `beneficialOwners.personalDetails.title` (string, required)
        The title for this person/soleTrader.
        Enum: "Mr", "Mrs", "Miss", "Ms", "Dr", "Mx", "Misc"
      - `beneficialOwners.personalDetails.firstName` (string, required)
        The person's/soleTrader's first name.
        Example: "Case"
      - `beneficialOwners.personalDetails.middleName` (string)
        The person's/soleTrader's middle name or initial.
        Example: "Henry"
      - `beneficialOwners.personalDetails.lastName` (string, required)
        The person's/soleTrader's last name.
        Example: "Mitchell"
      - `beneficialOwners.personalDetails.alias` (string)
        An alternative or commonly-used name for the individual (e.g., preferred or informal name). Does not replace the legal name.
        Example: "Junior Case"
      - `beneficialOwners.personalDetails.socialSecurityNumber` (string)
        The individual’s U.S. Social Security Number (SSN), required for U.S.-based tax or identity checks.
        Example: "004-54-6578"
      - `beneficialOwners.personalDetails.dateOfBirth` (string)
        The date the person/soleTrader was born.
        Example: "1983-10-12"
      - `beneficialOwners.personalDetails.address` (object, required)
        Object containing details about the address.
      - `beneficialOwners.personalDetails.residentialStatus` (string)
        The residential status of the person/soleTrader.
        Enum: "resident", "nonResident", "other"
      - `beneficialOwners.personalDetails.customerReference` (string)
        Unique reference provided by the payee. Only required for certain payout destinations.
        Example: "7564389201"
      - `beneficialOwners.personalDetails.nationality` (string)
        The nationality of the person/soleTrader.
      - `beneficialOwners.personalDetails.currentAddressLessThanThreeYears` (boolean)
      - `beneficialOwners.personalDetails.previousHomeAddress` (object)
        Object containing details about the address.
      - `beneficialOwners.personalDetails.website` (string)
        The URL of the merchant's website.
        Example: "https://example.com/"
      - `beneficialOwners.relationshipToBusiness` (object, required)
      - `beneficialOwners.relationshipToBusiness.ownershipPercentage` (number, required)
        Percentage of the ownership of the beneficial owner over the company.
      - `beneficialOwners.relationshipToBusiness.director` (boolean, required)
        A flag indicating if the beneficial owner is also a director for the company.
      - `beneficialOwners.relationshipToBusiness.isPrincipalOwner` (boolean)
        A flag indicating if the beneficial owner is also a principal owner for the company.
Note: You can set no more than one beneficial owner per party record of type company, as principal owner.
        Example: true
      - `beneficialOwners.relationshipToBusiness.position` (string, required)
        Type of position of the beneficial owner within the company.
        Enum: "soleTrader", "accountant", "bursar", "chairman", "chairwoman", "chiefExecutiveOfficer", "clerk", "companySecretary", "creditController", "deputyLeader", "generalManager", "leader", "manager", "managingDirector", "master", "guarantor", "mayor", "officeManager", "operationsManager", "president", "principal", "proprietor", "townClerk", "director", "apportionmentAndOversight", "chiefExecutive", "complianceOversight", "directorUnincorporatedAssociate", "nonExecutiveDirector", "significantManagement", "smallFriendlySociety", "chairperson", "designatedMember", "secretary", "trustee", "treasurer", "businessRepresentative", "authorisedSignatory", "signatory", "technicalContact", "contractSignatory", "publicOfficer", "controller", "beneficialOwner", "partner", "shareholder", "chiefFinancialOfficer", "chiefOperatingOfficer", "beneficiary", "charitySecretary", "member", "protector", "settlor", "soleProprietor", "nonDesignatedMember"
      - `beneficialOwners.email` (string)
      - `beneficialOwners.phones` (array)
      - `beneficialOwners.identityDocuments` (array)
      - `beneficialOwners.dateTimeCreated` (string)
        The date and time that the beneficial owner was created, as an ISO 8601 zoned date time.
        Example: "2025-01-23T12:23:445.222Z"
      - `beneficialOwners.version` (integer)
      - `beneficialOwners.dateTimeUpdated` (string)
        The date and time that the beneficial owner was last updated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T14:57:012.302Z"
    - Person:
      - `type` (string, required)
        What the party represents:

person - an individual 

soleTrader - a single person enterprise 

company - a corporation or partnership with multiple owners
        Enum: same as `type` in "Company" (3 values)
      - `identityVerificationState` (string)
        Enum: same as `identityVerificationState` in "Company" (10 values)
      - `identityVerificationMethod` (string)
        Enum: same as `identityVerificationMethod` in "Company" (2 values)
      - `identityVerificationDate` (string)
        A valid date as YYYY-MM-DD
        Example: "2033-11-22"
      - `url` (string)
        The link returned from Identity Verification Status (IVS) used to retrieve additional details from the user.
      - `message` (string)
        The message associated with link returned from Identity Verification Status (IVS).
      - `partyReference` (string, required)
        Your reference for this party, must be unique within an entity.
        Example: "Hosaka27384910"
      - `partyType` (string, required)
        The type of this party.
beneficiary - the person or business that will receive funds
payer - a transmitter of funds to a third party
        Enum: same as `partyType` in "Company" (2 values)
      - `partyId` (string)
        A unique identifier for the party generated by us.
      - `email` (string)
        An email address for this party.
      - `merchant` (object, required)
        An object that contains information about the merchant.
      - `merchant.entity` (string, required)
        Used to route the request in Access Worldpay, created as part of on-boarding.
        Example: "default"
      - `phones` (array)
        A list of phone numbers associated with this party.
      - `phones.prefix` (string, required)
        The dialing prefix for the phone number.
        Example: "44"
      - `phones.number` (string, required)
        The phone number, without dashes.
        Example: "4281234"
      - `identityDocuments` (array)
        A list of identity documents for this party.
      - `identityDocuments.type` (string, required)
        The type of the identity document.
        Enum: same as `identityDocuments.type` in "Company" (15 values)
      - `identityDocuments.number` (string, required)
      - `identityDocuments.issuingInstitution` (string)
        The name of the institution that issued this document.
        Example: "State Department"
      - `identityDocuments.issuingCountry` (string, required)
        The country code of the issuing country specified in [ISO 3166-1 Alpha-2 code](/products/reference/supported-countries-currencies#iso-country-codes) format.
        Example: "JP"
      - `identityDocuments.validFrom` (string)
        The ISO 8601 date since when this document is valid from.
        Example: "2023-11-22"
      - `identityDocuments.validTo` (string)
        The ISO 8601 date until which this document is valid to.
        Example: "2023-11-22"
      - `balanceAccounts` (array)
        A list of balance accounts that have been set up for this party.
      - `balanceAccounts.currency` (string, required)
        The currency in [ISO 4217 currency format](/products/reference/supported-countries-currencies#iso-currency-codes).
        Example: "GBP"
      - `balanceAccounts.payoutInstrumentReference` (string)
        A reference of the payoutInstrument created by you. This
field holds the beneficiary bank details. Use this to direct payouts to
the relevant beneficiary. This must be unique within an entity.
        Example: "primaryBusinessAccount"
      - `balanceAccounts.scheduledPayoutDay` (string)
        The scheduled payout day for this balanceAccount. You must provide this for "weekly" and "monthly" frequency.
        Enum: same as `balanceAccounts.scheduledPayoutDay` in "Company" (5 values)
      - `balanceAccounts.frequency` (string)
        Scheduled payout frequency for this balanceAccount:\
daily - payouts are processed every business day\
weekly - you must include scheduledPayoutDay\
monthly - you must include scheduledPayoutDay and recurrence
        Enum: same as `balanceAccounts.frequency` in "Company" (3 values)
      - `balanceAccounts.recurrence` (string)
        The week of the month the payout is paid out. You must provide this for "monthly" frequency.
        Enum: same as `balanceAccounts.recurrence` in "Company" (4 values)
      - `balanceAccounts.nextPayoutDate` (string)
        The next scheduled payout date for this balance account.
        Example: "2025-02-14"
      - `balanceAccounts.balanceAccountId` (string)
        Unique ID created by us to identify a balance account. This is sent in the response after balanceAccount creation.
      - `balanceAccounts.accountNumber` (string)
        The number of your balanceAccount.
      - `balanceAccounts.dateTimeCreated` (string)
        The date and time that the balance account was created, as an ISO 8601 zoned date time.
        Example: "2025-01-23T12:23:445.222Z"
      - `balanceAccounts.dateTimeUpdated` (string)
        The date and time that the balance account was last updated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T02:43:499.202Z"
      - `balanceAccounts.version` (integer)
      - `dateTimeCreated` (string)
        The date and time that the party was created, as an ISO 8601 zoned date time.
        Example: "2025-01-23T12:23:445.222Z"
      - `dateTimeUpdated` (string)
        The date and time that the party was last updated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T14:57:012.302Z"
      - `version` (integer)
      - `payoutInstruments` (array)
      - `payoutInstruments.payoutInstrumentReference` (string)
        A reference of the payoutInstrument created by you. This
field holds the beneficiary bank details. Use this to direct payouts to
the relevant beneficiary. This must be unique within an entity.
        Example: "primaryBusinessAccount"
      - `payoutInstruments.payoutInstrumentId` (string)
        An ID generated by us to identify a payout instrument. You receive this in the response after successfully creating a payout instrument.
        Example: "parOk0YlPtQogrqQdz7_fKXs0"
      - `payoutInstruments.payoutInstrumentType` (string)
        The type of the payout instrument.
        Enum: same as `payoutInstruments.payoutInstrumentType` in "Company" (3 values)
      - `payoutInstruments.currency` (string, required)
        The currency in [ISO 4217 currency format](/products/reference/supported-countries-currencies#iso-currency-codes).
        Example: "GBP"
      - `payoutInstruments.dateTimeCreated` (string)
        The date and time the payoutInstrument was created, as an ISO 8601 zoned date time.
      - `payoutInstruments.dateTimeUpdated` (string)
        The date and time the payoutInstrument was updated, as an ISO 8601 zoned date time.
      - `payoutInstruments.version` (integer)
      - `payoutInstruments.accountHolderName` (string)
      - `payoutInstruments.swiftBic` (string)
      - `payoutInstruments.bankCode` (string)
        The bankCode must be exactly 6 digits.
        Example: "184758"
      - `payoutInstruments.accountNumber` (string)
      - `payoutInstruments.accountType` (string)
        Enum: same as `payoutInstruments.accountType` in "Company" (6 values)
      - `payoutInstruments.iban` (string)
      - `payoutInstruments.bankName` (string)
      - `payoutInstruments.address` (object)
        Object containing details about the address.
      - `payoutInstruments.address.address1` (string, required)
        The address.

Must consist of at least two letters, two words, and one number.
        Example: "1847 Kingsbury Court"
      - `payoutInstruments.address.address2` (string)
        Line two of the address.
        Example: "Unit 42"
      - `payoutInstruments.address.city` (string, required)
        The city of this address.
        Example: "London"
      - `payoutInstruments.address.state` (string)
        The state of this address.
        Example: "Greater London"
      - `payoutInstruments.address.countryCode` (string, required)
        The country code specified in [ISO 3166-1 Alpha-2 code format](/products/reference/supported-countries-currencies#iso-country-codes).
        Example: "GB"
      - `payoutInstruments.address.postalCode` (string)
        The postal code of this address.
        Example: "NW9 0RR"
      - `payoutInstruments.address.type` (string)
        Identifies the type of this address.
        Enum: same as `payoutInstruments.address.type` in "Company" (4 values)
      - `payoutInstruments.branchCode` (string)
      - `active` (boolean)
        Indicates whether the party is active or not.
        Example: true
      - `dateTimeDeactivated` (string)
        The date and time that the party was last deactivated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T14:57:012.302Z"
      - `deactivationReason` (string)
        The reason for deactivating a party.
        Example: "partyDormant"
      - `dispositionOfFunds` (string)
        The disposition of funds for deactivated party.
        Example: "payoutToParty"
      - `dateTimeActivated` (string)
        The date and time that the party was last activated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T14:57:012.302Z"
      - `personalDetails` (object, required)
      - `personalDetails.title` (string, required)
        The title for this person/soleTrader.
        Enum: same as `beneficialOwners.personalDetails.title` in "Company" (7 values)
      - `personalDetails.firstName` (string, required)
        The person's/soleTrader's first name.
        Example: "Case"
      - `personalDetails.middleName` (string)
        The person's/soleTrader's middle name or initial.
        Example: "Henry"
      - `personalDetails.lastName` (string, required)
        The person's/soleTrader's last name.
        Example: "Mitchell"
      - `personalDetails.alias` (string)
        An alternative or commonly-used name for the individual (e.g., preferred or informal name). Does not replace the legal name.
        Example: "Junior Henry"
      - `personalDetails.socialSecurityNumber` (string)
        The individual's U.S. Social Security Number (SSN), required for U.S.-based tax or identity checks.
        Example: "004-54-6578"
      - `personalDetails.dateOfBirth` (string)
        The date the person/soleTrader was born.
        Example: "1983-10-12"
      - `personalDetails.address` (object, required)
        Object containing details about the address.
      - `personalDetails.residentialStatus` (string)
        The residential status of the person/soleTrader.
        Enum: same as `beneficialOwners.personalDetails.residentialStatus` in "Company" (3 values)
      - `personalDetails.customerReference` (string)
        Unique reference provided by the payee. Only required for certain payout destinations.
        Example: "7564389201"
      - `personalDetails.nationality` (string)
        The nationality of the person/soleTrader.
      - `personalDetails.currentAddressLessThanThreeYears` (boolean)
      - `personalDetails.previousHomeAddress` (object)
        Object containing details about the address.
      - `personalDetails.website` (string)
        The URL of the merchant's website.
        Example: "https://example.com/"
    - SoleTrader:
      - `type` (string, required)
        What the party represents:

person - an individual 

soleTrader - a single person enterprise 

company - a corporation or partnership with multiple owners
        Enum: same as `type` in "Company" (3 values)
      - `identityVerificationState` (string)
        Enum: same as `identityVerificationState` in "Company" (10 values)
      - `identityVerificationMethod` (string)
        Enum: same as `identityVerificationMethod` in "Company" (2 values)
      - `identityVerificationDate` (string)
        A valid date as YYYY-MM-DD
        Example: "2033-11-22"
      - `url` (string)
        The link returned from Identity Verification Status (IVS) used to retrieve additional details from the user.
      - `message` (string)
        The message associated with link returned from Identity Verification Status (IVS).
      - `partyReference` (string, required)
        Your reference for this party, must be unique within an entity.
        Example: "Hosaka27384910"
      - `partyType` (string, required)
        The type of this party.
beneficiary - the person or business that will receive funds
payer - a transmitter of funds to a third party
        Enum: same as `partyType` in "Company" (2 values)
      - `partyId` (string)
        A unique identifier for the party generated by us.
      - `email` (string)
        An email address for this party.
      - `merchant` (object, required)
        An object that contains information about the merchant.
      - `merchant.entity` (string, required)
        Used to route the request in Access Worldpay, created as part of on-boarding.
        Example: "default"
      - `phones` (array)
        A list of phone numbers associated with this party.
      - `phones.prefix` (string, required)
        The dialing prefix for the phone number.
        Example: "44"
      - `phones.number` (string, required)
        The phone number, without dashes.
        Example: "4281234"
      - `identityDocuments` (array)
        A list of identity documents for this party.
      - `identityDocuments.type` (string, required)
        The type of the identity document.
        Enum: same as `identityDocuments.type` in "Company" (15 values)
      - `identityDocuments.number` (string, required)
      - `identityDocuments.issuingInstitution` (string)
        The name of the institution that issued this document.
        Example: "State Department"
      - `identityDocuments.issuingCountry` (string, required)
        The country code of the issuing country specified in [ISO 3166-1 Alpha-2 code](/products/reference/supported-countries-currencies#iso-country-codes) format.
        Example: "JP"
      - `identityDocuments.validFrom` (string)
        The ISO 8601 date since when this document is valid from.
        Example: "2023-11-22"
      - `identityDocuments.validTo` (string)
        The ISO 8601 date until which this document is valid to.
        Example: "2023-11-22"
      - `balanceAccounts` (array)
        A list of balance accounts that have been set up for this party.
      - `balanceAccounts.currency` (string, required)
        The currency in [ISO 4217 currency format](/products/reference/supported-countries-currencies#iso-currency-codes).
        Example: "GBP"
      - `balanceAccounts.payoutInstrumentReference` (string)
        A reference of the payoutInstrument created by you. This
field holds the beneficiary bank details. Use this to direct payouts to
the relevant beneficiary. This must be unique within an entity.
        Example: "primaryBusinessAccount"
      - `balanceAccounts.scheduledPayoutDay` (string)
        The scheduled payout day for this balanceAccount. You must provide this for "weekly" and "monthly" frequency.
        Enum: same as `balanceAccounts.scheduledPayoutDay` in "Company" (5 values)
      - `balanceAccounts.frequency` (string)
        Scheduled payout frequency for this balanceAccount:\
daily - payouts are processed every business day\
weekly - you must include scheduledPayoutDay\
monthly - you must include scheduledPayoutDay and recurrence
        Enum: same as `balanceAccounts.frequency` in "Company" (3 values)
      - `balanceAccounts.recurrence` (string)
        The week of the month the payout is paid out. You must provide this for "monthly" frequency.
        Enum: same as `balanceAccounts.recurrence` in "Company" (4 values)
      - `balanceAccounts.nextPayoutDate` (string)
        The next scheduled payout date for this balance account.
        Example: "2025-02-14"
      - `balanceAccounts.balanceAccountId` (string)
        Unique ID created by us to identify a balance account. This is sent in the response after balanceAccount creation.
      - `balanceAccounts.accountNumber` (string)
        The number of your balanceAccount.
      - `balanceAccounts.dateTimeCreated` (string)
        The date and time that the balance account was created, as an ISO 8601 zoned date time.
        Example: "2025-01-23T12:23:445.222Z"
      - `balanceAccounts.dateTimeUpdated` (string)
        The date and time that the balance account was last updated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T02:43:499.202Z"
      - `balanceAccounts.version` (integer)
      - `dateTimeCreated` (string)
        The date and time that the party was created, as an ISO 8601 zoned date time.
        Example: "2025-01-23T12:23:445.222Z"
      - `dateTimeUpdated` (string)
        The date and time that the party was last updated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T14:57:012.302Z"
      - `version` (integer)
      - `payoutInstruments` (array)
      - `payoutInstruments.payoutInstrumentReference` (string)
        A reference of the payoutInstrument created by you. This
field holds the beneficiary bank details. Use this to direct payouts to
the relevant beneficiary. This must be unique within an entity.
        Example: "primaryBusinessAccount"
      - `payoutInstruments.payoutInstrumentId` (string)
        An ID generated by us to identify a payout instrument. You receive this in the response after successfully creating a payout instrument.
        Example: "parOk0YlPtQogrqQdz7_fKXs0"
      - `payoutInstruments.payoutInstrumentType` (string)
        The type of the payout instrument.
        Enum: same as `payoutInstruments.payoutInstrumentType` in "Company" (3 values)
      - `payoutInstruments.currency` (string, required)
        The currency in [ISO 4217 currency format](/products/reference/supported-countries-currencies#iso-currency-codes).
        Example: "GBP"
      - `payoutInstruments.dateTimeCreated` (string)
        The date and time the payoutInstrument was created, as an ISO 8601 zoned date time.
      - `payoutInstruments.dateTimeUpdated` (string)
        The date and time the payoutInstrument was updated, as an ISO 8601 zoned date time.
      - `payoutInstruments.version` (integer)
      - `payoutInstruments.accountHolderName` (string)
      - `payoutInstruments.swiftBic` (string)
      - `payoutInstruments.bankCode` (string)
        The bankCode must be exactly 6 digits.
        Example: "184758"
      - `payoutInstruments.accountNumber` (string)
      - `payoutInstruments.accountType` (string)
        Enum: same as `payoutInstruments.accountType` in "Company" (6 values)
      - `payoutInstruments.iban` (string)
      - `payoutInstruments.bankName` (string)
      - `payoutInstruments.address` (object)
        Object containing details about the address.
      - `payoutInstruments.address.address1` (string, required)
        The address.

Must consist of at least two letters, two words, and one number.
        Example: "1847 Kingsbury Court"
      - `payoutInstruments.address.address2` (string)
        Line two of the address.
        Example: "Unit 42"
      - `payoutInstruments.address.city` (string, required)
        The city of this address.
        Example: "London"
      - `payoutInstruments.address.state` (string)
        The state of this address.
        Example: "Greater London"
      - `payoutInstruments.address.countryCode` (string, required)
        The country code specified in [ISO 3166-1 Alpha-2 code format](/products/reference/supported-countries-currencies#iso-country-codes).
        Example: "GB"
      - `payoutInstruments.address.postalCode` (string)
        The postal code of this address.
        Example: "NW9 0RR"
      - `payoutInstruments.address.type` (string)
        Identifies the type of this address.
        Enum: same as `payoutInstruments.address.type` in "Company" (4 values)
      - `payoutInstruments.branchCode` (string)
      - `active` (boolean)
        Indicates whether the party is active or not.
        Example: true
      - `dateTimeDeactivated` (string)
        The date and time that the party was last deactivated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T14:57:012.302Z"
      - `deactivationReason` (string)
        The reason for deactivating a party.
        Example: "partyDormant"
      - `dispositionOfFunds` (string)
        The disposition of funds for deactivated party.
        Example: "payoutToParty"
      - `dateTimeActivated` (string)
        The date and time that the party was last activated, as an ISO 8601 zoned date time.
        Example: "2025-01-25T14:57:012.302Z"
      - `personalDetails` (object, required)
      - `personalDetails.title` (string, required)
        The title for this person/soleTrader.
        Enum: same as `beneficialOwners.personalDetails.title` in "Company" (7 values)
      - `personalDetails.firstName` (string, required)
        The person's/soleTrader's first name.
        Example: "Case"
      - `personalDetails.middleName` (string)
        The person's/soleTrader's middle name or initial.
        Example: "Henry"
      - `personalDetails.lastName` (string, required)
        The person's/soleTrader's last name.
        Example: "Mitchell"
      - `personalDetails.tradingName` (string, required)
        The trading common name of the SoleTrader.
        Example: "WorldpayFusion"
      - `personalDetails.alias` (string)
        An alternative or commonly-used name for the individual (e.g., preferred or informal name). Does not replace the legal name.
        Example: "WP Mitchell"
      - `personalDetails.socialSecurityNumber` (string)
        The individual's U.S. Social Security Number (SSN), required for U.S.-based tax or identity checks.
        Example: "004-54-6578"
      - `personalDetails.dateOfBirth` (string)
        The date the person/soleTrader was born.
        Example: "1983-10-12"
      - `personalDetails.address` (object, required)
        Object containing details about the address.
      - `personalDetails.tradingAddress` (object)
        Object containing details about the address.

Note: If isTradingAddressSameAsPrimary is set to true, do not provide tradingAddress. If isTradingAddressSameAsPrimary is false, you must provide tradingAddress.
      - `personalDetails.tradingAddress.address1` (string, required)
        The address.

Must consist of at least two letters, two words, and one number.
        Example: "1847 Kingsbury Court"
      - `personalDetails.tradingAddress.address2` (string)
        Line two of the address.
        Example: "Unit 42"
      - `personalDetails.tradingAddress.city` (string, required)
        The city of this address.
        Example: "London"
      - `personalDetails.tradingAddress.state` (string)
        The state of this address.
        Example: "Greater London"
      - `personalDetails.tradingAddress.countryCode` (string, required)
        The country code specified in [ISO 3166-1 Alpha-2 code format](/products/reference/supported-countries-currencies#iso-country-codes).
        Example: "GB"
      - `personalDetails.tradingAddress.postalCode` (string)
        The postal code of this address.
        Example: "NW9 0RR"
      - `personalDetails.tradingAddress.type` (string)
        Identifies the type of this address.
        Enum: same as `payoutInstruments.address.type` in "Company" (4 values)
      - `personalDetails.residentialStatus` (string)
        The residential status of the person/soleTrader.
        Enum: same as `beneficialOwners.personalDetails.residentialStatus` in "Company" (3 values)
      - `personalDetails.customerReference` (string)
        Unique reference provided by the payee. Only required for certain payout destinations.
        Example: "7564389201"
      - `personalDetails.nationality` (string)
        The nationality of the person/soleTrader.
      - `personalDetails.currentAddressLessThanThreeYears` (boolean)
      - `personalDetails.isTradingAddressSameAsPrimary` (boolean, required)
        Indicates whether the trading address is the same as the primary address.
        Example: true
      - `personalDetails.previousHomeAddress` (object)
        Object containing details about the address.
      - `personalDetails.website` (string)
        The URL of the merchant's website.
        Example: "https://example.com/"
      - `personalDetails.merchantCategoryCode` (string)
        A 4-digit code to represent the merchant category. Only provide this where typeCode is soleTrader or company.
        Example: "5411"
      - `personalDetails.merchantCategoryCodeDescription` (string)
        A description to describe the merchant category code. Only provide this where typeCode is soleTrader or company.
        Example: "Grocery Stores"
      - `personalDetails.taxIdentifier` (string)
        The entity's tax registration number (VAT, GST, EIN, TIN, or equivalent), depending on jurisdiction.
        Example: "JP-987654321"

  - `pagination` (object, required)
    Pagination information for browsing.

  - `pagination.page` (integer, required)
    Positive whole number indicating which page of the selected parties to return. Greater than 0.
    Example: 5

  - `pagination.size` (integer, required)
    Number of items listed per page.
    Example: 10

  - `pagination.pageCount` (integer)
    Total number of pages.
    Example: 3

  - `pagination.totalNumberOfRecords` (integer)
    Total number of records in the database for the selected parties.
    Example: 1227

## Response 400 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: "bodyDoesNotMatchSchema"

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)


